
package evote.counter;

import java.io.*;
import java.util.*; 

import evote.question.*;
import evote.lang.*;

public class ResultSet implements Serializable {
  
  private QuestionList myQuestionList;
  private Result[] results;

  public ResultSet(QuestionList ql) {
    myQuestionList= ql;

    int numQuestions= myQuestionList.getNumQuestions();
    results= new Result[numQuestions];

    for (int i=0; i<numQuestions; i++)
      results[i] = new Result(myQuestionList.getQuestion(i));
  }

  public void incrementChoice(FullChoice c, int qNum, int ch) {
    // A choice of -1 means that there is nothing
    // more in that choice
    if (ch == -1)
      return;

    results[qNum].incrementChoice(c, ch);
  }

  public void incrementWriteIn(FullChoice c, int qNum, String writeIn) {
    results[qNum].incrementWriteIn(c, writeIn);
  }

  public int getNumResults() {
    return(results.length);
  }

  public Result getResult(int i) {
    return(results[i]);
  }

  public QuestionList getQuestionList() {
    return(myQuestionList);
  }
}
  
