/* Electronic Voting Project
 * Mark A. Herschberg (hershey@mit.edu)
 */

package evote.crypto;

/**
  This is a class to hold a generic publick key system key pair.  It has fields
  for both a public and private key.
  */
public class EncryptKeyPair {
  PublicKey pubKey;
  PrivateKey priKey;
  
  /**
    The constructor takes both a public and private key.
    */
  public EncryptKeyPair(PublicKey ek, PrivateKey dk) {
    pubKey = ek;
    priKey = dk;
  }
  
  /**
    The constructor takes only a public key, setting the private one to null.
    */
  public EncryptKeyPair(PublicKey ek) {
    pubKey = ek;
    priKey = null;
  }
  
}
