/* Electronic Voting Project
 * Mark A. Herschberg (hershey@mit.edu)
 */

package evote.crypto;

import java.math.BigInteger;
import java.io.*;

/**
  The commitment used is based on HMAC-SHA which involves a double hash.  (See
  ShaCommitment.)  Consequently, two BigInteger keys are use din this
  implamentation.
  */
public class ShaCommitmentKeys implements IntegrityKeys,CommitmentKeys,Serializable {
  BigInteger k1;
  BigInteger k2;
  
  /**
    Creates a ShaCommitmentKeys using the two arguments as the keys.
    */
  public ShaCommitmentKeys(BigInteger key1, BigInteger key2) {
    k1 = key1;
    k2 = key2;
  }
  
  /**
    Returns key 1.
    */
  public BigInteger getKey1() {
    return k1;
  }
  
  /**
    Returns key 2.
    */
  public BigInteger getKey2() {
    return k2;
  }
  
}
