package evote.network.server;

import java.io.*;
import java.net.*;
import evote.crypto.*;
import evote.util.queue.*;
import java.math.BigInteger;

public class SampleSecureServer implements ConnectionHandler {
  Server my_server;
  int total_count=0 ;
  RsaKeys rsk;

  public SampleSecureServer() {

    /* We kludge the RSA Key to be hardwired */
    BigInteger modulus, pub, priv;
    modulus= new BigInteger("891083291619195770169094429544656459271406485141245109445337");
    pub= new BigInteger("587075701775321751338517347851");
    priv= new BigInteger("444548373649785966703315564113194756997709670145393681295779");

    rsk= new RsaKeys(pub, priv, modulus);
    /****/
    
    try {
      my_server= new SecureServer("Sample",6001, this, 5, 10, rsk);
      ((SecureServer)my_server).setAcceptInsecure(true);
    }
    catch(Exception e) {
      System.err.println("couldn't start up server: " + e.toString());
      System.exit(0);
    }
  }

  private synchronized void increase_counter(int i) {
    total_count+=i;
  }

  public static void main(String argv[]) {
    System.out.println("starting server...");
    new SampleSecureServer();
    System.out.println("started.");
  }

  public void handleConnection(Connection c) {
    try {
      while(true) {
	  NumberMessage nm= (NumberMessage)c.receiveMessage();
	  increase_counter(nm.getValue());
	  c.sendMessage(new Message("haha","num=" + total_count));
      }
    }
    catch(Exception e) {
    }
  }

  public void handleError(ConnectionError ce) {
    System.err.println("Error happened: " + ce.toString());
    //System.exit(0);
  }

}
