package evote.util.genrand;

/**
 * ThreadGenerator.java;
 * Last Revised: 6 March 1999
 * Brandon DuRette <brandond@mit.edu>
 */

//import java.security.SecureRandom;
import evote.util.constants.*;
import evote.crypto.*;

public class FixedGenerator implements Generator {
  /**
   * The ThreadGenerator uses thread timing to generate a data, then
   * performs a secure hash on the data to create a seed.
   */

  public FixedGenerator() {
    // effects:  Constructor, nothing to do.
  }

  public synchronized byte[] seed() {
    // effects:  Uses java.security.SecureRandom to produce bytes for
    //           a seed.

    // get some bytes from thread timing.
    System.out.println("Getting some bytes from the SecureRandom.");
    byte[] seedBytes = new byte[20];
    for (int i=0; i<20;i++) {
      seedBytes[i]= (byte)System.currentTimeMillis();
    }

    System.out.println("Done.");
    SHADigest md = new SHADigest();
    byte[] hashOut = md.performHash(seedBytes);
    return hashOut;
  }
}
