/*
 * QuickMessage.java
 * Last Revised:  13 May 97
 * Randy L. Milbert <rmilbert@mit.edu>
 */

package evote.util.quick_message;

import java.awt.*;
import java.awt.event.*;

/**
 *  The QuickMessage panel displays a title, message, and OK button.
 */
public class QuickMessage extends Frame implements ActionListener {
	private		Dimension			win_dimension	= new Dimension(250, 250);
	private		Button				ok_button;
	public		static final int	CHAR_WIDTH		= 28;

  /**
   *  The constructor takes two objects as arguments:  a title and a message.
   *  The title is used when creating the frame and the message is displayed
   *  inside the frame.
   */
	public QuickMessage(String frame_title, String message_message) {
		TextArea message_area = new TextArea("", message_message.length()/CHAR_WIDTH + 2, CHAR_WIDTH, TextArea.SCROLLBARS_NONE);

		setSize(win_dimension);
		setBackground(Color.lightGray);
		setTitle(frame_title);
		setLayout(new FlowLayout());
		
		ok_button = new Button("OK");
		ok_button.addActionListener(this);

		message_area.append(message_message);
		message_area.setEditable(false);

		add(message_area);
		add(ok_button);

		pack();

		setVisible(true);
	}

	public void actionPerformed(ActionEvent event) {
		Object source = event.getSource();

		if (source == ok_button) {
			dispose();
		}
	}
}
