/* Electronic Voting Project
 * Mark A. Herschberg (hershey@mit.edu)
 */

package evote.crypto;

import java.io.Serializable;

/**
  Interface specifying the method needed of an EncryptionKey.
  */
public interface EncryptionKey extends Serializable {
  
  /**
    An EncryptionKey must have a method to convert it to a byte array to allow
    it to be both serialized and used in the crypto library.
    */
  public abstract byte[] toByteArray();
}
