
package evote.crypto;

public class SecureRandom extends java.util.Random {

  private byte[] seed, lastResult;
  private SHADigest myDigest;
  private int SEED_SIZE;

  public SecureRandom(byte[] s) {
    super();

    seed= s;
    lastResult= new byte[0];
    SEED_SIZE= seed.length;
    
    myDigest= new SHADigest();
  }

  private byte[] concatenate(byte[] first, byte[] second) {
    byte[] returnArray= new byte[first.length + second.length];

    System.arraycopy(first, 0, returnArray,0, first.length);
    System.arraycopy(second, 0, returnArray, first.length, second.length);
    return(returnArray);
  }

  public synchronized void nextBytes(byte[] toFill) {
    for (int i=0; i<(toFill.length/SEED_SIZE + 1); i++) {
      lastResult= myDigest.performHash(concatenate(seed, lastResult));
      System.arraycopy(lastResult,0,toFill,SEED_SIZE*i,Math.min(SEED_SIZE, toFill.length - (SEED_SIZE*i)));
    }
  }
}
