/*
 * This class is for starting a bunch of demo servers
 */

package evote.demo;

import evote.anonymizer.*;
import evote.admin.*;
import evote.counter.*;
import evote.election.*;

public class Demo {

    /*
     * This main method expects 3 arguments
     * - the admin election file
     * - the anon election file
     * - the counter election file
     */
    public static void main(String argv[]) {

	ElectionLoader el;

	// start up the admin
	el= new ElectionLoader(argv[0]);
	Election adminElection= el.getElection();

	AdminServer adminServer= new AdminServer(adminElection);

	// start up the anonymizer
	el= new ElectionLoader(argv[1]);
	Election anonElection= el.getElection();

	AnonymizerServer anonymizerServer= new AnonymizerServer(anonElection);

	// start up the counter
	el= new ElectionLoader(argv[2]);
	Election counterElection= el.getElection();

	Counter counterServer= new Counter(counterElection);

	adminServer.startDemo();
	anonymizerServer.startDemo();
	counterServer.startDemo();
    }
}
