package evote.network.server;

import evote.crypto.*;
import evote.util.genrand.*;
import java.math.BigInteger;

public class SampleSecureClient {
  
  RsaKeys rsk;
  GenRand gr;

  public SampleSecureClient() {
    int i;

    Connection c;

    System.out.println("step 1");
    gr= new GenRand();
    gr.seed();
    System.out.println("step 2");

    BigInteger pub, modulus, priv;
    modulus= new BigInteger("891083291619195770169094429544656459271406485141245109445337");
    pub= new BigInteger("587075701775321751338517347851");

    rsk= new RsaKeys(pub,modulus);
    try {
      System.out.println("Creating a new secure connection ");
      c= new SecureConnection("localhost", 6001, gr, rsk);
      System.out.println("created");

      Message m;

      
      for (i=0; i<200; i++) {
	System.out.println("sending " + i);
	c.sendMessage(new NumberMessage(i));
	m= c.receiveMessage();
	System.out.println("Recipient: " + m.getRecipient());
      }
    c.close();
    }
    catch(Exception e) {
      System.out.println("Error: " + e.toString());
    }

  }

  public static void main(String argv[]) {
   new SampleSecureClient();
  }

} 
