package evote.network.server;

import java.io.*;
import java.net.*;
import evote.util.queue.*;

public class SampleServer implements ConnectionHandler {
  Server my_server;
  int total_count=0 ;

  public SampleServer() {
    try {
      my_server= new Server("Sample",6666, this, 5, 10);
    }
    catch(Exception e) {
      System.err.println("couldn't start up server: " + e.toString());
      System.exit(0);
    }
  }

  private synchronized void increase_counter(int i) {
    total_count+=i;
  }

  public static void main(String argv[]) {
    System.out.println("starting server...");
    new SampleServer();
    System.out.println("started.");
  }

  public void handleConnection(Connection c) {
    try {
      while(true) {
	  NumberMessage nm= (NumberMessage)c.receiveMessage();
	  increase_counter(nm.getValue());
	  c.sendMessage(new Message("haha","num=" + total_count));
      }
    }
    catch(Exception e) {
    }
  }

  public void handleError(ConnectionError ce) {
    System.err.println("Error happened: " + ce.toString());
    //System.exit(0);
  }

}
