/* Question Edit Panel
 * This is for the QuestionList builder
 */

package evote.question.builder;

import evote.question.*;
import java.awt.*;
import java.awt.event.*;

public class QuestionEditPanel extends Panel {

  private Question myQuestion;
  private QuestionListBuilder parent;

  private TextField[] answerFields;
  
  private boolean is_editable= false;
  
  public QuestionEditPanel(QuestionListBuilder qlb, Question qu, int pos, int total) {
    myQuestion= qu;
    parent= qlb;

    answerFields= new TextField[myQuestion.getNumAnswers()];
    String[] answers= myQuestion.getAnswers();

    for (int i=0; i<answerFields.length; i++) {
      answerFields[i]= new TextField();
      answerFields[i].setEditable(false);
      answerFields[i].setText(answers[i]);
    }
    
    Panel top_panel= new Panel();
    Panel main_panel= new Panel();

    top_panel.add(new Label(myQuestion.getQuestion(), Label.CENTER));
    
    main_panel.setLayout(new GridLayout(answerFields.length, 1));
    for (int i=0; i<answerFields.length; i++)
      main_panel.add(answerFields[i]);

    /* Write Ins */
    Label writeInLabel= null;
    if (qu.allowsWriteIns())
      writeInLabel= new Label("This question allows write-ins");
    else
      writeInLabel= new Label("This question does NOT allow write-ins");

    this.setLayout(new BorderLayout());
    this.add("North",top_panel);
    this.add("Center",main_panel);
    this.add("South",writeInLabel);
  }

  /* This determines
   * whether or not it is editable
   */
  public synchronized void setEditable(boolean isEditable) {
    for (int i=0; i<answerFields.length; i++)
      answerFields[i].setEditable(isEditable);
    is_editable= isEditable;
  }
  
  /* Is editable?
   * whether or not it is editable 
   */
  public synchronized boolean isEditable() {
    return(is_editable);
  }

  /* This commits the changes
   * made to this question
   */
  public void commit() {
    for (int i=0; i<answerFields.length; i++) 
      myQuestion.setAnswer(i, answerFields[i].getText());
  }

}
