/* User Window
 */	

package evote.registrar;

import java.awt.*;
import java.awt.event.*;

import evote.identity.*;

public abstract class UserWindow extends Dialog implements ActionListener {
  
  /* Components */
  protected TextField lastName, firstName, emailAddress, userName, password, passwordVerification;
  private Button ok_button, cancel_button;
  
  public UserWindow(Frame parent, String title) {
    /* Modal */
    super(parent, "User Window", false);
    
    lastName= new TextField();
    firstName= new TextField();
    emailAddress= new TextField();
    userName= new TextField();
    password= new TextField();
    passwordVerification= new TextField();

    /* Make password fields echo only '*' */
    password.setEchoChar('*');
    passwordVerification.setEchoChar('*');

    this.setLayout(new BorderLayout());
    this.add("North",new Label(title,Label.CENTER));
    Panel labelPanel= new Panel();
    Panel inputPanel= new Panel();
    
    labelPanel.setLayout(new GridLayout(6,1));
    labelPanel.add(new Label("Last Name:",Label.RIGHT));
    labelPanel.add(new Label("First Name:", Label.RIGHT));
    labelPanel.add(new Label("Email Address:",Label.RIGHT));
    labelPanel.add(new Label("Username:", Label.RIGHT));
    labelPanel.add(new Label("Password:", Label.RIGHT));
    labelPanel.add(new Label("Password:", Label.RIGHT));

    inputPanel.setLayout(new GridLayout(6,1));
    inputPanel.add(lastName);
    inputPanel.add(firstName);
    inputPanel.add(emailAddress);
    inputPanel.add(userName);
    inputPanel.add(password);
    inputPanel.add(passwordVerification);
    
    this.add("West",labelPanel);
    this.add("Center",inputPanel);
    
    Panel buttonPanel= new Panel();
    ok_button= new Button("OK");
    cancel_button= new Button("Cancel");
    buttonPanel.add(ok_button);
    buttonPanel.add(cancel_button);
    
    ok_button.addActionListener(this);
    cancel_button.addActionListener(this);

    this.add("South", buttonPanel);
    this.setSize(500,400);
    this.show();
  }

  public abstract boolean ok(String lastN, String firstN, String emailA, String userN, String passW, String passwordV);
  public abstract void cancel();

  public void init (String lastN, String firstN, String emailA, 
		    String userN, String passW, String passwordV) {
    lastName.setText(lastN);
    firstName.setText(firstN);
    emailAddress.setText(emailA);
    userName.setText(userN);
    password.setText(passW);
    passwordVerification.setText(passwordV);
  }

  public void actionPerformed(ActionEvent e) {
    Object source= e.getSource();
    
    /* OK Button */
    if (source == ok_button) {
      if (ok(lastName.getText(),firstName.getText(),emailAddress.getText(), userName.getText(), password.getText(), passwordVerification.getText())) {
	this.dispose();
      }
      return;
    }

    /* Cancel Button */
    if (source == cancel_button) {
      cancel();
      this.dispose();
      return;
    }
  }

}
